
#
# Copyright (C) 2019 OX Software GmbH
# 
# This file is part of OX Automation.
#
# OX Automation is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OX Automation is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OX Automation. If not, see <http://www.gnu.org/licenses/>.
#
#
# Authors:
# Daniel Pondruff <daniel.pondruff@open-xchange.com>
#

# This restarts the provided service name with the configured service managers

function installDovecot {
    echo "Add Dovecot Build key & Repo"
    wget https://repo.dovecot.org/DOVECOT-REPO-GPG && apt-key add DOVECOT-REPO-GPG && \
    echo "deb https://repo.dovecot.org/ce-2.3-latest/debian/stretch stretch main" > /etc/apt/sources.list.d/dovecot.list

    echo "Install Dovecot CE packages"
    apt-get update && apt-get install -y dovecot-core \
                        dovecot-imapd \
                        dovecot-lmtpd \
                        dovecot-managesieved \
                        dovecot-sieve \
                        dovecot-pop3d \
                        dovecot-ldap \
                        postfix \
                        rsyslog
    echo "Copy Dovecot Configs"
    rm -rf /etc/dovecot/*
    cp -R config/dovecot/etc/dovecot/* /etc/dovecot/
}

